from ansible_collections.finallycoffee.proxmox.plugins.module_utils.common import _proxmox_request, ProxmoxAuthInfo


def get_nodes(auth_info: ProxmoxAuthInfo) -> [dict]:
    node_answer = _proxmox_request('get', f"/nodes", auth_info).json()
    return node_answer['data']


def get_node(auth_info: ProxmoxAuthInfo, node: str) -> [dict]:
    node_answer = _proxmox_request('get', f"/nodes/{node}", auth_info).json()
    return node_answer['data']
